> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# Get version of elastic template by version ID

GET https://demo.docusign.net/clickapi/v1/accounts/{accountId}/clickwraps/{clickwrapId}/versions/{versionId}

Gets the version specified by `versionId` from the elastic template `clickwrapId`.
The `versionId` can be the version's `versionId` GUID or the `versionNumber` string.

[Required authentication scopes](/docs/click-api/click101/auth/): `click.manage`.

Reference: https://developers.docusign.com/docs/click-api/reference/accounts/clickwraps/getclickwrapversion

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://demo.docusign.net/clickapi` (Demo, default)
- `https://www.docusign.net/clickapi` (Production)

## Request

### Path parameters

- `accountId` (string, required) — The external account number (int) or account ID GUID.
- `clickwrapId` (string, required) — The GUID of the elastic template.
- `versionId` (string, required) — The ID of the version. This value can be the version's GUID or the version string, such as `1.3`.

## Response

### 200

Successful response.

- `accountId` (string, optional) — The external account number (int) or account ID GUID.
- `clickwrapId` (string, optional) — The GUID of the elastic template.
- `clickwrapName` (string, optional) — The name of the elastic template.
- `clickwrapVersionId` (string, optional) — The unique GUID of this elastic template version.
- `createdTime` (ClickwrapVersionResponseCreatedTime, optional) — The time that the elastic template was created.
- `dataFields` (list of dataField, optional) — An array of `dataField` objects.
- `displaySettings` (displaySettings, optional) — Information about how an agreement is displayed.
- `documents` (list of document, optional) — An array of documents.
- `lastModified` (ClickwrapVersionResponseLastModified, optional) — The time that the elastic template was last modified.
- `lastModifiedBy` (string, optional) — The user GUID of the last user who modified this elastic template.
- `ownerUserId` (string, optional) — The user ID of the owner of this clickwrap.
- `requireReacceptance` (boolean, optional) — When **true,** requires signers who have previously agreed to this elastic signing agreement to sign again. The major version number is incremented, and the minor version number is set to zero. For example: `2.1` to `3.0` When **false,** signers who have previously agreed do not need to sign again. Only the minor version number is incremented. For example: `2.1` to `2.2`
- `scheduledDate` (ClickwrapVersionResponseScheduledDate, optional) — The time and date when this elastic template is activated.
- `scheduledReacceptance` (clickwrapScheduledReacceptance, optional)
- `status` (string, optional) — Clickwrap status. Possible values: - `active` - `inactive` - `deleted`
- `versionId` (string, optional) — The ID of the version.
- `versionNumber` (string, optional) — Human-readable version number. For example `1.2`.

## Errors

### 400 Bad Request Error

Error encountered.

- `errorCode` (string, optional) — The error code.
- `message` (string, optional) — The error message.

## Types

### ClickwrapVersionResponseCreatedTime

The time that the elastic template was created.

### dataField

Describes a single data field.

- `label` (string, optional) — The label of the datafield. This is the text that is displayed to the user.
- `name` (string, optional) — A string used to refer to the field internally. The name must be unique within an elastic template. The following fields are predefined by the API: - `fullName` - `email` - `company` - `title` - `date`
- `type` (string, optional) — The type of the field. Valid values: - `STRING` - `NUMBER` - `DATE`

### displaySettings

Information about how an agreement is displayed.

- `actionButtonAlignment` (string, optional) — Position of the Accept button in the agreement. One of - `right` - `left`
- `allowClientOnly` (boolean, optional) — When **true,** this agreement can be be used in client-only integrations.
- `allowedHosts` (list of string, optional) — Hosts that can host the elastic template. It is an error if the elastic template didn't come from one of these hosts.
- `brandId` (string, optional) — The signing brand ID.
- `consentButtonText` (string, optional) — Text on the agree button.
- `consentText` (string, optional) — The text on agree button.
- `declineButtonText` (string, optional) — The text on the decline button.
- `displayName` (string, optional) — The display name of the user agreement.
- `documentDisplay` (string, optional) — Display type: link or document
- `downloadable` (boolean, optional) — **True** if the agreement is downloadable.
- `format` (string, optional) — Display format: inline or modal.
- `hasDeclineButton` (boolean, optional) — **True** if the agreement has a decline checkbox.
- `mustRead` (boolean, optional) — **True** if the user needs to scroll to the end of the document.
- `mustView` (boolean, optional) — Reserved for Docusign.
- `recordDeclineResponses` (boolean, optional) — When **true,** this agreement records decline actions.
- `requireAccept` (boolean, optional) — **True** if accept is required.
- `sendToEmail` (boolean, optional) — **True** if send to email is applicable.
- `statementAlignment` (string, optional) — Position of the agreement statement. One of - `top` - `bottom`

### document

Information about a document.

- `documentBase64` (string, optional) — The base64-encoded contents of the document.
- `documentDisplay` (string, optional) — Display type: link or document
- `documentHtml` (string, optional) — The HTML representation of the document.
- `documentName` (string, optional) — The name of the document.
- `fileExtension` (string, optional) — The file extension of the document.
- `mustRead` (boolean, optional) — **True** if the user needs to scroll to the end of the document.
- `mustView` (boolean, optional) — Reserved for Docusign.
- `order` (integer, optional) — The order of document layout.

### ClickwrapVersionResponseLastModified

The time that the elastic template was last modified.

### ClickwrapVersionResponseScheduledDate

The time and date when this elastic template is activated.

### clickwrapScheduledReacceptance

- `recurrenceInterval` (integer, optional) — The time between recurrences specified in `recurrenceIntervalType` units. The minimum and maximum values depend on `recurrenceIntervalType`: - `days`: 1 - 365 - `weeks`: 1 - 52 - `months`: 1 - 12 - `years`: 1
- `recurrenceIntervalType` (string, optional) — The units of the `recurrenceInterval`. Must be one of: - `days` - `weeks` - `month` - `years`
- `startDateTime` (ClickwrapScheduledReacceptanceStartDateTime, optional) — The date when the recurrence interval starts.

### ClickwrapScheduledReacceptanceStartDateTime

The date when the recurrence interval starts.

## Examples

**Response**

```json
{
  "accountId": "string",
  "clickwrapId": "string",
  "clickwrapName": "string",
  "clickwrapVersionId": "string",
  "createdTime": {},
  "dataFields": [
    {
      "label": "string",
      "name": "string",
      "type": "string"
    }
  ],
  "displaySettings": {
    "actionButtonAlignment": "string",
    "allowClientOnly": true,
    "allowedHosts": [
      "string"
    ],
    "brandId": "string",
    "consentButtonText": "string",
    "consentText": "string",
    "declineButtonText": "string",
    "displayName": "string",
    "documentDisplay": "string",
    "downloadable": true,
    "format": "string",
    "hasDeclineButton": true,
    "mustRead": true,
    "mustView": true,
    "recordDeclineResponses": true,
    "requireAccept": true,
    "sendToEmail": true,
    "statementAlignment": "string"
  },
  "documents": [
    {
      "documentBase64": "string",
      "documentDisplay": "string",
      "documentHtml": "string",
      "documentName": "string",
      "fileExtension": "string",
      "mustRead": true,
      "mustView": true,
      "order": 1
    }
  ],
  "lastModified": {},
  "lastModifiedBy": "string",
  "ownerUserId": "string",
  "requireReacceptance": true,
  "scheduledDate": {},
  "scheduledReacceptance": {
    "recurrenceInterval": 1,
    "recurrenceIntervalType": "string",
    "startDateTime": {}
  },
  "status": "string",
  "versionId": "string",
  "versionNumber": "string"
}
```